REQUIRED: .wp-caption css class is needed in your theme css.
REQUIRED: .wp-caption-text css class is needed in your theme css.
REQUIRED: .sticky css class is needed in your theme css.
REQUIRED: .screen-reader-text css class is needed in your theme css. See See: the Codex for an example implementation.
REQUIRED: .gallery-caption css class is needed in your theme css.
REQUIRED: .alignright css class is needed in your theme css.
REQUIRED: .alignleft css class is needed in your theme css.
REQUIRED: .aligncenter css class is needed in your theme css.

I am getting the above error when I am running the theme-check plugin, but the problem is that I don’t have any use of these classes in my theme. what should I do? Just use them for the sake of only getting rid of errors? Please guide me.

Read more here: Theme Check errors about missing CSS rules


Solution:

If you know the solution of this issue, please leave us a reply in Comment section, to update the question.


Wordpress related questions and answers: